local string_format = string.format

local function LocalReport(msg)
	Recount2:Print(msg)
end

local loc
local locReports = {
	GUILD = true,
	PARTY = true,
	RAID = true,
	OFFICER = true,
	SAY = true,
}
local function LocReport(msg)
	SendChatMessage(msg, loc)
end


function Recount2:Report(title, data, num, nameFunc, leftText, rightText, where)
	local Report

	if where and locReports[where] then
		loc = where
		Report=LocReport
	else
		Report=LocalReport
	end

	Report(title)

	if num>#data then
		num=#data
	end


	for i = 1, num do
		local combatant = data[i]

		Recount2.SetCombatantConstants(combatant.data)
		Recount2:AddExpressionConstant("cPos", i)
		nameFunc(combatant.key)
		Report(Recount2:ProcessCompiledTags(leftText, combatant.uniqueLeftID).."        "..Recount2:ProcessCompiledTags(rightText, combatant.uniqueRightID))
	end
end